Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
KDE4 Overlay (Part 6)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 16, 17, 18 ... 26, 27, 28  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Dagger
Retired Dev
Retired Dev


Joined: 11 Jun 2003
Posts: 765
Location: UK

PostPosted: Sat Jun 21, 2008 11:34 am    Post subject: Reply with quote

Berniyh wrote:
Hm, everything looks ok there, afaics.
Honestly, I have no idea, what is going on there.
Maybe try a different pkgconfig version?


after hours and hours, grepping through eclasses, manual compilation I found it!
You gave me a good hint about pkg-config. To sum it up:
Code:

sudo pkg-config --list-all | grep Kipi                                                                     
Failed to open '/usr/lib64/pkgconfig/cblas.pc': No such file or directory               

ls -las /usr/lib64/pkgconfig/cblas.pc                                                                       
0 lrwxrwxrwx 1 root root 20 2008-05-17 17:24 /usr/lib64/pkgconfig/cblas.pc -> ../blas/gsl/cblas.pc

it was a link to non existing file, and pkg-config didn't work at all. Removed sym link and everything works like a charm now!

Cheers mate!
_________________
95% of all computer errors occur between chair and keyboard (TM)
Join the FSF as an Associate Member!
Post under CC license.
Back to top
View user's profile Send private message
Berniyh
l33t
l33t


Joined: 07 Jun 2006
Posts: 677

PostPosted: Sat Jun 21, 2008 12:45 pm    Post subject: Reply with quote

Dagger wrote:
Berniyh wrote:
Hm, everything looks ok there, afaics.
Honestly, I have no idea, what is going on there.
Maybe try a different pkgconfig version?


after hours and hours, grepping through eclasses, manual compilation I found it!
You gave me a good hint about pkg-config. To sum it up:
Code:

sudo pkg-config --list-all | grep Kipi                                                                     
Failed to open '/usr/lib64/pkgconfig/cblas.pc': No such file or directory               

ls -las /usr/lib64/pkgconfig/cblas.pc                                                                       
0 lrwxrwxrwx 1 root root 20 2008-05-17 17:24 /usr/lib64/pkgconfig/cblas.pc -> ../blas/gsl/cblas.pc

it was a link to non existing file, and pkg-config didn't work at all. Removed sym link and everything works like a charm now!

Cheers mate!

WOW!
Awesome. *THUMBS UP* :)
Back to top
View user's profile Send private message
Berniyh
l33t
l33t


Joined: 07 Jun 2006
Posts: 677

PostPosted: Sun Jun 22, 2008 3:41 pm    Post subject: Reply with quote

gimpel wrote:
Berniyh wrote:
lazx888 wrote:
Having difficultly with superkaramba... karamba apps are complaining about bindings not being present. Is kdebindings going to be included in the overlay?

Thanks

I don't see anyone doing it soon, sorry. :(

For most karambas I have tested so far, krosspython is enough

kde-base/krosspython/krosspython-scm.kdebuild-1
Code:
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header$

KMNAME=kdebindings
KMMODULE="python/krosspython"
# Required for python/pykde4/cmake/modules/FindPythonLibrary.cmake which is
# used by krosspython
KMEXTRACTONLY="python/pykde4"

inherit kde4svn-meta

DESCRIPTION="Kross scripting framework: Python interpreter"
KEYWORDS=""
IUSE="debug"

DEPEND="dev-lang/python"


krossruby looks similar, and pykde4 is also no problem.

LiquidWeather++ needs to be hacked a bit to work with kde4, aero all in one works fine -> screenie...

krosspython, krossruby and pykde4 are now there.
Looking at the other ones atm.
(Sane) kdebuilds are welcome, of course. :)
Back to top
View user's profile Send private message
Dagger
Retired Dev
Retired Dev


Joined: 11 Jun 2003
Posts: 765
Location: UK

PostPosted: Mon Jun 23, 2008 2:42 pm    Post subject: Reply with quote

Hi guys,

Since around 06.06.2008 I couldn't compile decibel any longer. It was crying about some missing files. I decided to investigate and I found out, that tapioca-qt and telepathy-qt bindings are taken from sourceforge SVN and NOT from KDE svn.

I've played with some ebuilds and changed them to use KDE trunk:

telepathy-qt-scm.kdebuild-1
Code:

# Copyright 2007-2008 by the individual contributors of the genkdesvn project
# Based in part upon the respective ebuild in Gentoo which is:
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

NEED_KDE="none"
KMNAME="kdesupport"
inherit eutils flag-o-matic kde4-base kde4svn

DESCRIPTION="libtelepathy QT4 Bindings"
HOMEPAGE="http://decibel.kde.org"

SLOT="0"
KEYWORDS=""
LICENSE="LGPL-2.1"
IUSE=""

RDEPEND="|| ( ( x11-libs/qt-core:4
                x11-libs/qt-dbus:4 )
        >=x11-libs/qt-4.2.0[dbus] )"
DEPEND="${RDEPEND}"

src_compile() {
        epatch "${FILESDIR}/${P}-cmake_policy.patch"

        kde4-meta_src_compile
}


pkg_setup() {
        echo
        ewarn "WARNING! This is an experimental ebuild of the ${PN} SVN tree."
        ewarn "Use at your own risk. File a bug at https://www2.mailstation.de/bugzilla if you"
        ewarn "run into problems. Or join #genkdesvn on the great Freenode IRC network."
        echo
}


files/telepathy-qt-scm-cmake_policy.patch
Code:

--- CMakeLists.txt.org  2008-06-23 15:22:44.000000000 +0100
+++ CMakeLists.txt      2008-06-23 15:22:32.000000000 +0100
@@ -1,6 +1,8 @@
 project(QtTelepathy)
 cmake_minimum_required(VERSION 2.4.5)
-cmake_policy(SET CMP0003 NEW)
+if(COMMAND cmake_policy)
+    cmake_policy(SET CMP0003 NEW)
+endif(COMMAND cmake_policy)
 
 # Set install locations:
 set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )


tapioca-qt-scm.kdebuild-1
Code:

# Copyright 2007-2008 by the individual contributors of the genkdesvn project
# Based in part upon the respective ebuild in Gentoo which is:
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

NEED_KDE="none"
KMNAME="kdesupport"
inherit eutils flag-o-matic kde4-base kde4svn

DESCRIPTION="Tapioca QT4 Bindings"
HOMEPAGE="http://decibel.kde.org"

SLOT="0"
KEYWORDS=""
LICENSE="LGPL-2.1"
IUSE=""

DEPEND="|| ( ( x11-libs/qt-core:4
                x11-libs/qt-dbus:4 )
        >=x11-libs/qt-4.2:4[dbus] )
        net-libs/telepathy-qt"

pkg_setup() {
        echo
        ewarn "WARNING! This is an experimental ebuild of the ${PN} SVN tree."
        ewarn "Use at your own risk. File a bug at https://www2.mailstation.de/bugzilla if you"
        ewarn "run into problems. Or join #genkdesvn on the great Freenode IRC network."
        echo
}


they compile fine and decibel compiles fine as well ^^

Berniyh - please take a look on them and if you believe they're good enough, update overlay.
_________________
95% of all computer errors occur between chair and keyboard (TM)
Join the FSF as an Associate Member!
Post under CC license.
Back to top
View user's profile Send private message
Berniyh
l33t
l33t


Joined: 07 Jun 2006
Posts: 677

PostPosted: Mon Jun 23, 2008 3:46 pm    Post subject: Reply with quote

Dagger wrote:
Berniyh - please take a look on them and if you believe they're good enough, update overlay.

Will do, thanks.
Back to top
View user's profile Send private message
hvengel
Guru
Guru


Joined: 19 Sep 2004
Posts: 515

PostPosted: Mon Jun 23, 2008 4:16 pm    Post subject: Reply with quote

finished upgrading to latest version as of yesterday evening. For the most part the upgrade went OK but like the original install there were issues with svn hangs that resulted in having to restart the process perhaps 5 or 6 times to get everything to build.

I do however have one minor issue. When KDE starts I get an error dialog about KCMInit (kcminit_startup) crashing and causing a signal 11 (SIGSEGV). This does not seem to affect anything and I end up with a functional desktop but I would like to figure out what is causing it and fix it. Anyone have any ideas?
Back to top
View user's profile Send private message
just
n00b
n00b


Joined: 14 Mar 2008
Posts: 8

PostPosted: Tue Jun 24, 2008 11:43 am    Post subject: Reply with quote

hvengel wrote:
finished upgrading to latest version as of yesterday evening. For the most part the upgrade went OK but like the original install there were issues with svn hangs that resulted in having to restart the process perhaps 5 or 6 times to get everything to build.

I do however have one minor issue. When KDE starts I get an error dialog about KCMInit (kcminit_startup) crashing and causing a signal 11 (SIGSEGV). This does not seem to affect anything and I end up with a functional desktop but I would like to figure out what is causing it and fix it. Anyone have any ideas?



update kdelibs


http://bugs.kde.org/show_bug.cgi?id=164657
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Tue Jun 24, 2008 11:57 am    Post subject: Reply with quote

anyone was successful in compiling sci-libs/cln with gcc-4.3.1 ?

thanks
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
Stefano Crocco
Apprentice
Apprentice


Joined: 28 Sep 2006
Posts: 157

PostPosted: Tue Jun 24, 2008 12:12 pm    Post subject: Reply with quote

kernelOfTruth wrote:
anyone was successful in compiling sci-libs/cln with gcc-4.3.1 ?

thanks


Yes, I've just reinstalled sci-libs/cln-1.2.2 using gcc-4.3.1 without any problem.
_________________
Stefano
Back to top
View user's profile Send private message
Lepaca Kliffoth
l33t
l33t


Joined: 28 Apr 2004
Posts: 737
Location: Florence, Italy

PostPosted: Tue Jun 24, 2008 1:02 pm    Post subject: Reply with quote

Where did networkmanager-0.7 go?

Code:
Building target list...
Building dependency list...paludis@1214312040: [WARNING dep_list.dropping_dependencies] In program paludis --show-use-descriptions none --checks none --continue-on-failure if-satisfied --log-level warning -ip kdebase-scm*:
  ... When performing install action from command line:
  ... When executing install task:
  ... When building dependency list:
  ... When adding PackageDepSpec 'kde-base/kdebase-startkde:kde-svn':
  ... When adding package 'kde-base/kdebase-startkde-scm:kde-svn::kde4-experimental':
  ... Dropping run dependencies to post dependencies because of exception 'Error searching for '>=net-misc/networkmanager-0.7': no available versions' (paludis::AllMaskedError)

Query error:
  * In program paludis --show-use-descriptions none --checks none --continue-on-failure if-satisfied --log-level warning -ip kdebase-scm*:
  * When performing install action from command line:
  * When executing install task:
  * When building dependency list:
  * When adding PackageDepSpec 'kde-base/kdebase-startkde:kde-svn':
  * When adding package 'kde-base/kdebase-startkde-scm:kde-svn::kde4-experimental':
  * When adding run dependencies as post dependencies:
  * When adding PackageDepSpec '>=kde-base/krunner-scm:kde-svn':
  * When adding package 'kde-base/krunner-scm:kde-svn::kde4-experimental':
  * When adding build dependencies as pre dependencies:
  * When adding PackageDepSpec '>=kde-base/ksmserver-scm:kde-svn':
  * When adding package 'kde-base/ksmserver-scm:kde-svn::kde4-experimental':
  * When adding build dependencies as pre dependencies:
  * When adding PackageDepSpec '>=kde-base/solid-scm:kde-svn':
  * When adding package 'kde-base/solid-scm:kde-svn::kde4-experimental':
  * When adding build dependencies as pre dependencies:
  * When adding PackageDepSpec '>=net-misc/networkmanager-0.7':

 * You have 1 unread news items (use 'eselect news' to read)
  * No versions of '>=net-misc/networkmanager-0.7' are available.

_________________
It isn't enough to win - everyone else must lose, and you also have to rub it in their face (maybe chop off an arm too for good measure).
Animebox!
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Tue Jun 24, 2008 1:20 pm    Post subject: Reply with quote

Lepaca Kliffoth wrote:
Where did networkmanager-0.7 go?

Code:
Building target list...
Building dependency list...paludis@1214312040: [WARNING dep_list.dropping_dependencies] In program paludis --show-use-descriptions none --checks none --continue-on-failure if-satisfied --log-level warning -ip kdebase-scm*:
  ... When performing install action from command line:
  ... When executing install task:
  ... When building dependency list:
  ... When adding PackageDepSpec 'kde-base/kdebase-startkde:kde-svn':
  ... When adding package 'kde-base/kdebase-startkde-scm:kde-svn::kde4-experimental':
  ... Dropping run dependencies to post dependencies because of exception 'Error searching for '>=net-misc/networkmanager-0.7': no available versions' (paludis::AllMaskedError)

Query error:
  * In program paludis --show-use-descriptions none --checks none --continue-on-failure if-satisfied --log-level warning -ip kdebase-scm*:
  * When performing install action from command line:
  * When executing install task:
  * When building dependency list:
  * When adding PackageDepSpec 'kde-base/kdebase-startkde:kde-svn':
  * When adding package 'kde-base/kdebase-startkde-scm:kde-svn::kde4-experimental':
  * When adding run dependencies as post dependencies:
  * When adding PackageDepSpec '>=kde-base/krunner-scm:kde-svn':
  * When adding package 'kde-base/krunner-scm:kde-svn::kde4-experimental':
  * When adding build dependencies as pre dependencies:
  * When adding PackageDepSpec '>=kde-base/ksmserver-scm:kde-svn':
  * When adding package 'kde-base/ksmserver-scm:kde-svn::kde4-experimental':
  * When adding build dependencies as pre dependencies:
  * When adding PackageDepSpec '>=kde-base/solid-scm:kde-svn':
  * When adding package 'kde-base/solid-scm:kde-svn::kde4-experimental':
  * When adding build dependencies as pre dependencies:
  * When adding PackageDepSpec '>=net-misc/networkmanager-0.7':

 * You have 1 unread news items (use 'eselect news' to read)
  * No versions of '>=net-misc/networkmanager-0.7' are available.


Oo - I wasn't aware it was already available :)

it's not in official portage tree afaik, but in sabayon, gentopia and arcon overlay :idea:
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
pattie102
n00b
n00b


Joined: 07 Jul 2004
Posts: 24
Location: Germany

PostPosted: Tue Jun 24, 2008 2:08 pm    Post subject: Reply with quote

As far as I can see, none of these repositories has an ebuild for networkmanager-0.7. Even on bugs.gentoo.org there seems to be no ebuild. It would be great, if someone could add one to the kde-overlay, if networkmanager-0.7 is neccessary for (re)building current kde-svn.
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Tue Jun 24, 2008 2:30 pm    Post subject: Reply with quote

pattie102 wrote:
As far as I can see, none of these repositories has an ebuild for networkmanager-0.7. Even on bugs.gentoo.org there seems to be no ebuild. It would be great, if someone could add one to the kde-overlay, if networkmanager-0.7 is neccessary for (re)building current kde-svn.


:oops: I must have misread: I confused networkmanager-vpnc with networkmanager

so no networkmanager-0.7 here, too :(
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
Berniyh
l33t
l33t


Joined: 07 Jun 2006
Posts: 677

PostPosted: Tue Jun 24, 2008 2:57 pm    Post subject: Reply with quote

kernelOfTruth wrote:
Lepaca Kliffoth wrote:
Where did networkmanager-0.7 go?

Code:
Building target list...
Building dependency list...paludis@1214312040: [WARNING dep_list.dropping_dependencies] In program paludis --show-use-descriptions none --checks none --continue-on-failure if-satisfied --log-level warning -ip kdebase-scm*:
  ... When performing install action from command line:
  ... When executing install task:
  ... When building dependency list:
  ... When adding PackageDepSpec 'kde-base/kdebase-startkde:kde-svn':
  ... When adding package 'kde-base/kdebase-startkde-scm:kde-svn::kde4-experimental':
  ... Dropping run dependencies to post dependencies because of exception 'Error searching for '>=net-misc/networkmanager-0.7': no available versions' (paludis::AllMaskedError)

Query error:
  * In program paludis --show-use-descriptions none --checks none --continue-on-failure if-satisfied --log-level warning -ip kdebase-scm*:
  * When performing install action from command line:
  * When executing install task:
  * When building dependency list:
  * When adding PackageDepSpec 'kde-base/kdebase-startkde:kde-svn':
  * When adding package 'kde-base/kdebase-startkde-scm:kde-svn::kde4-experimental':
  * When adding run dependencies as post dependencies:
  * When adding PackageDepSpec '>=kde-base/krunner-scm:kde-svn':
  * When adding package 'kde-base/krunner-scm:kde-svn::kde4-experimental':
  * When adding build dependencies as pre dependencies:
  * When adding PackageDepSpec '>=kde-base/ksmserver-scm:kde-svn':
  * When adding package 'kde-base/ksmserver-scm:kde-svn::kde4-experimental':
  * When adding build dependencies as pre dependencies:
  * When adding PackageDepSpec '>=kde-base/solid-scm:kde-svn':
  * When adding package 'kde-base/solid-scm:kde-svn::kde4-experimental':
  * When adding build dependencies as pre dependencies:
  * When adding PackageDepSpec '>=net-misc/networkmanager-0.7':

 * You have 1 unread news items (use 'eselect news' to read)
  * No versions of '>=net-misc/networkmanager-0.7' are available.


Oo - I wasn't aware it was already available :)

it's not in official portage tree afaik, but in sabayon, gentopia and arcon overlay :idea:

Sabayon isn't an overlay, that provides sane ebuilds, so keep away from that, please.

About nm-0.7:
I have (a hacked up) ebuild here, to test that stuff, but I won't release it (because it is hacked up).
It isn't worth anyway, because the applet (or the backend) currently doesn't seem to work.
So why does it depend on nm-0.7?
Well, there are two things here.
1. Solid has two backends: nm-0.6 and nm-0.7
2. The nm applet (currently) needs nm-0.7 (it just would skip it, if you only got nm-0.6)

So there is (currently) no point to have the nm-0.6 backend in solid, afaics and so I restricted it to nm-0.7.
That said, someone on irc did go to the solid people and asked them about that and they said, that the applet at some point will only depend on solid and will not require a specific version.
When that happens, of course, we will derestrict the dep again.
So, for the moment just disable the networkmanager flag for solid, there is no point in having it enabled, since it doesn't work (Both because there is no ebuild and because of lack of functionality".
Back to top
View user's profile Send private message
Lepaca Kliffoth
l33t
l33t


Joined: 28 Apr 2004
Posts: 737
Location: Florence, Italy

PostPosted: Tue Jun 24, 2008 3:39 pm    Post subject: Reply with quote

Thanks, will do :)
_________________
It isn't enough to win - everyone else must lose, and you also have to rub it in their face (maybe chop off an arm too for good measure).
Animebox!
Back to top
View user's profile Send private message
Dagger
Retired Dev
Retired Dev


Joined: 11 Jun 2003
Posts: 765
Location: UK

PostPosted: Tue Jun 24, 2008 9:42 pm    Post subject: Reply with quote

for interested in NM-0.7you can take a look here
_________________
95% of all computer errors occur between chair and keyboard (TM)
Join the FSF as an Associate Member!
Post under CC license.


Last edited by Dagger on Wed Jun 25, 2008 7:39 am; edited 1 time in total
Back to top
View user's profile Send private message
Dagger
Retired Dev
Retired Dev


Joined: 11 Jun 2003
Posts: 765
Location: UK

PostPosted: Tue Jun 24, 2008 9:53 pm    Post subject: Reply with quote

ok to clarify:
nm-applet is GNOME application (although usable under KDE if you've got GTK+)
nm-applet will NEVER depend on solid. new kde networkmanager applet (and I think Berniyh was talking about it) will depend on it.

Current solid DOES support NM0.7 backend, but if you try to connect (using solid shell) you will get:

Code:

solid-network set network '/org/freedesktop/Hal/devices/net_00_13_e8_15_64_05' '/org/freedesktop/NetworkManager/AccessPoint/3'
Not implemented


So basicly if you want to use NM-0.7 under current KDE4.x you need to use nm-applet (recommended as it's developed by the same dev as nm-0.7 and works) or knetworkmanager0.2 (developed by opensuse guys) which supports nm-0.7 and require kde 3.5.x libs.

I wouldn't disable networkmanager flag, just change it's name to nm7 (or whatever) to avoid name overlapping with networkmanger 0.6. You can see that solid guys are working hard every day to get it up and running, so I would expect this functionality to be finished before RC1 (15 July).
_________________
95% of all computer errors occur between chair and keyboard (TM)
Join the FSF as an Associate Member!
Post under CC license.
Back to top
View user's profile Send private message
Berniyh
l33t
l33t


Joined: 07 Jun 2006
Posts: 677

PostPosted: Wed Jun 25, 2008 2:05 am    Post subject: Reply with quote

Dagger wrote:
nm-applet will NEVER depend on solid. new kde networkmanager applet (and I think Berniyh was talking about it) will depend on it.

Yes, there is a networkmanager plasma applet in playground plasma.
It will be build if you activate the networkmanager use flag and it use depends on solid[networkmanager].

Quote:
I wouldn't disable networkmanager flag, just change it's name to nm7 (or whatever) to avoid name overlapping with networkmanger 0.6. You can see that solid guys are working hard every day to get it up and running, so I would expect this functionality to be finished before RC1 (15 July).

No, that was not the point. The point is, that the networkmanager-0.6 backend in solid just is useless, because there is (afaik) nothing, that can use it.
As soon as that changes, it will be changed back, or we will think about different solutions.
Back to top
View user's profile Send private message
Dagger
Retired Dev
Retired Dev


Joined: 11 Jun 2003
Posts: 765
Location: UK

PostPosted: Wed Jun 25, 2008 8:44 am    Post subject: Reply with quote

Berniyh,

Can you please update kdebse set file kde4-experimental/sets/kdebase-scm.conf

to include new ebuilds
Code:

* kde-base/krosspython::kde4-experimental :kde-svn [R scm] <world>
    -debug
* kde-base/krossruby::kde4-experimental :kde-svn [R scm] <world>
    -debug


Thanks
_________________
95% of all computer errors occur between chair and keyboard (TM)
Join the FSF as an Associate Member!
Post under CC license.
Back to top
View user's profile Send private message
beso_1717
Apprentice
Apprentice


Joined: 19 Jul 2007
Posts: 263

PostPosted: Wed Jun 25, 2008 9:06 am    Post subject: Reply with quote

Dagger wrote:
ok to clarify:
nm-applet is GNOME application (although usable under KDE if you've got GTK+)
nm-applet will NEVER depend on solid. new kde networkmanager applet (and I think Berniyh was talking about it) will depend on it.

Current solid DOES support NM0.7 backend, but if you try to connect (using solid shell) you will get:

Code:

solid-network set network '/org/freedesktop/Hal/devices/net_00_13_e8_15_64_05' '/org/freedesktop/NetworkManager/AccessPoint/3'
Not implemented


So basicly if you want to use NM-0.7 under current KDE4.x you need to use nm-applet (recommended as it's developed by the same dev as nm-0.7 and works) or knetworkmanager0.2 (developed by opensuse guys) which supports nm-0.7 and require kde 3.5.x libs.

I wouldn't disable networkmanager flag, just change it's name to nm7 (or whatever) to avoid name overlapping with networkmanger 0.6. You can see that solid guys are working hard every day to get it up and running, so I would expect this functionality to be finished before RC1 (15 July).



don't use nm-applet or you'll get pushed a lot of gnome deps.
use knetworkmanager instead. you'll havce pushed kde3.5.x libs and qt3 stuff but you'll have a kde apps for managing networkmanager. for me (i still haven't gotten ridden of kde3.5 and will not remove it until kde4.1 official builds) knetworkmanager works quite well with kde4.
Back to top
View user's profile Send private message
hiziki_gard
n00b
n00b


Joined: 05 Jan 2006
Posts: 50
Location: dark side of the moon

PostPosted: Wed Jun 25, 2008 1:52 pm    Post subject: Reply with quote

Okay I migrated to Paludis yesterday along with installing this overlay. So far everything looks good. Konqueror is a bit buggy but that is to be expected. A question though. What happened to konq_iconview? You know the component used by konqueror to browse file directory? I went to configure file associations and in inode/directory the embedded viewer component selection only has dolphinpart as the only fitting choice. The other one was fsview which came as part of kde-misc/konq-plugins.
_________________
default-linux/amd64/2007.0, gcc-4.2.3, glibc-2.7-r2, 2.6.25-hh5 x86_64
Back to top
View user's profile Send private message
Berniyh
l33t
l33t


Joined: 07 Jun 2006
Posts: 677

PostPosted: Wed Jun 25, 2008 2:09 pm    Post subject: Reply with quote

Dagger wrote:
Berniyh,

Can you please update kdebse set file kde4-experimental/sets/kdebase-scm.conf

to include new ebuilds
Code:

* kde-base/krosspython::kde4-experimental :kde-svn [R scm] <world>
    -debug
* kde-base/krossruby::kde4-experimental :kde-svn [R scm] <world>
    -debug


Thanks

No, won't do that.
kdebindings stuff doesn't belong to kdebase-scm. Putting it there would just be wrong.
I will create a kdebindings-scm set, though.

Of course you can create your own set with that:
Code:
/etc/paludis/sets/mykdebase-scm:
* kdebase-scm
? kde-base/krosspython:kde-svn
? kde-base/krossruby:kde-svn
Back to top
View user's profile Send private message
Dagger
Retired Dev
Retired Dev


Joined: 11 Jun 2003
Posts: 765
Location: UK

PostPosted: Wed Jun 25, 2008 2:35 pm    Post subject: Reply with quote

Beso,

It depends what version of NM are you using. NM-0.7 changes daily, and knetworkmanager lags pretty behind, so it's not really an option for live svn ebuilds.

When it comes to nm-applet - yes it's pulling some gnome deps, but only few libs.
_________________
95% of all computer errors occur between chair and keyboard (TM)
Join the FSF as an Associate Member!
Post under CC license.
Back to top
View user's profile Send private message
Dagger
Retired Dev
Retired Dev


Joined: 11 Jun 2003
Posts: 765
Location: UK

PostPosted: Wed Jun 25, 2008 2:36 pm    Post subject: Reply with quote

Berniyh wrote:
Dagger wrote:
Berniyh,

Can you please update kdebse set file kde4-experimental/sets/kdebase-scm.conf

to include new ebuilds
Code:

* kde-base/krosspython::kde4-experimental :kde-svn [R scm] <world>
    -debug
* kde-base/krossruby::kde4-experimental :kde-svn [R scm] <world>
    -debug


Thanks

No, won't do that.
kdebindings stuff doesn't belong to kdebase-scm. Putting it there would just be wrong.
I will create a kdebindings-scm set, though.

Of course you can create your own set with that:
Code:
/etc/paludis/sets/mykdebase-scm:
* kdebase-scm
? kde-base/krosspython:kde-svn
? kde-base/krossruby:kde-svn

Sorry I saw kde-base/xxx and too soon asked you to put it to kdebase :) of course it doesn't depend there.
When it comes to custom set - I already have one ^^
_________________
95% of all computer errors occur between chair and keyboard (TM)
Join the FSF as an Associate Member!
Post under CC license.
Back to top
View user's profile Send private message
Lepaca Kliffoth
l33t
l33t


Joined: 28 Apr 2004
Posts: 737
Location: Florence, Italy

PostPosted: Wed Jun 25, 2008 9:36 pm    Post subject: Reply with quote

Can someone explain to me how to debug this kind of stuff:
Code:
.-(~)-----------------------------------------------------(lepaca@animebox-duo)-
`--> gwenview                                                                   
gwenview(1789) KLocalePrivate::initEncoding: Cannot resolve system encoding, defaulting to ISO 8859-1.                                                         
KCrash: Application 'gwenview' crashing...                                     
sock_file=/home/lepaca/.kde/socket-animebox-duo/kdeinit4__0

...when it's already established that recompiling everything gets me nowhere? I don't want to drop in this thread every time something like this happens, but I don't know how to search for the source of the problem by myself.
_________________
It isn't enough to win - everyone else must lose, and you also have to rub it in their face (maybe chop off an arm too for good measure).
Animebox!
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 16, 17, 18 ... 26, 27, 28  Next
Page 17 of 28

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum